[prev in list] [next in list] [prev in thread] [next in thread] 

List:       coreutils-bug
Subject:    bug#6768: ls: fix a test failure that should have been skipped
From:       dsh () linux ! ucla ! edu
Date:       2010-07-31 1:49:02
Message-ID: 20100731014902.GA6666 () linux ! ucla ! edu
[Download RAW message or body]

Hi,

I just ran into this one test failure while building the latest sources.  The
test didn't really fail, but the exit via the function invoked in $() doesn't
terminate the test script, it simply terminates the substitution command.

Here are the bits where it failed:

++ inode_via_readdir /home/dsh/.gvfs
++ mount_point=/home/dsh/.gvfs
+++ basename /home/dsh/.gvfs
++ base=.gvfs
++ case $base in
++ skip_test_ 'mount point component starts with "."'
...
++ exit 77
+ readdir_inode=
++ env stat --format=%i /home/dsh/.gvfs
+ stat_inode=1
+ case $stat_inode in
+ test '' = 1
+ fail=1

This simple patch checks for a skipped test status and continues to the next
test.

From d76e0dbf81798e209ad958fa9582c975452b36ab Mon Sep 17 00:00:00 2001
From: Dan Hipschman <dsh@linux.ucla.edu>
Date: Fri, 30 Jul 2010 18:33:33 -0700
Subject: [PATCH] ls: fix a test failure that should have been skipped

* tests/ls/readdir-mountpoint-inode: Check to see if skip_test_ is
called in a helper function via $() instead of mistakenly failing.
---
 tests/ls/readdir-mountpoint-inode |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/tests/ls/readdir-mountpoint-inode b/tests/ls/readdir-mountpoint-inode
index 2285e92..63378b6 100755
--- a/tests/ls/readdir-mountpoint-inode
+++ b/tests/ls/readdir-mountpoint-inode
@@ -64,6 +64,7 @@ inode_via_readdir()
 
 for dir in $mount_points; do
   readdir_inode=$(inode_via_readdir $dir)
+  test $? = 77 && continue
   stat_inode=$(env stat --format=%i $dir)
   # If stat fails or says the inode is 0, skip $dir.
   case $stat_inode in 0|'') continue;; esac
-- 
1.7.1




[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic